Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.bridge
Class JDBCEntityBridge.EntityState

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCEntityBridge.EntityState

Enclosing class:
  JDBCEntityBridge

public class JDBCEntityBridge.EntityState
extends Object

Constructor Summary
`JDBCEntityBridge.EntityState()`

Method Summary
`JDBCEntityBridge.FieldIterator` | `getDirtyIterator(EntityEnterpriseContext ctx)`
`JDBCEntityBridge.FieldIterator` | `getLoadIterator(EntityEnterpriseContext ctx)`
`JDBCEntityBridge.FieldIterator` | `getLockedIterator(EntityEnterpriseContext ctx)`
`boolean` | `hasLockedFields()`
`boolean` | `isCheckDirty(int fieldIndex)`
`boolean` | `isCreated()`
`boolean` | `isLoaded(int fieldIndex)`
`boolean` | `isRemoved()`
`boolean` | `isScheduledForBatchCascadeDelete()`
`boolean` | `isScheduledForCascadeDelete()`
`boolean` | `lockValue(int fieldIndex)`
`void` | `resetFlags(int fieldIndex)` Resets field flags.
`void` | `scheduleForBatchCascadeDelete()`
`void` | `scheduleForCascadeDelete()`
`void` | `setCheckDirty(int fieldIndex)` The field will be checked for dirty state at commit.
`void` | `setClean(int fieldIndex)` Marks the field as clean.
`void` | `setCreated()`
`void` | `setLoaded(int fieldIndex)` Marks the field as loaded.
`void` | `setLoadRequired(int fieldIndex)` Marks the field to be loaded.
`void` | `setRemoved()`
`void` | `setUpdateRequired(int fieldIndex)` Marks the field to be updated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCEntityBridge.EntityState

    public JDBCEntityBridge.EntityState()

Method Detail

### setRemoved

    public void setRemoved()

### isRemoved

    public boolean isRemoved()

### scheduleForCascadeDelete

    public void scheduleForCascadeDelete()

### isScheduledForCascadeDelete

    public boolean isScheduledForCascadeDelete()

### scheduleForBatchCascadeDelete

    public void scheduleForBatchCascadeDelete()

### isScheduledForBatchCascadeDelete

    public boolean isScheduledForBatchCascadeDelete()

### setCreated

    public void setCreated()

### isCreated

    public boolean isCreated()

### isLoaded

    public boolean isLoaded(int fieldIndex)

  Parameters:
    `fieldIndex` - index of the field
  Returns:
    true if the field is loaded

### setLoaded

    public void setLoaded(int fieldIndex)

  Marks the field as loaded.

  Parameters:
    `fieldIndex` - index of the field.

### setLoadRequired

    public void setLoadRequired(int fieldIndex)

  Marks the field to be loaded.

  Parameters:
    `fieldIndex` - index of the field.

### setUpdateRequired

    public void setUpdateRequired(int fieldIndex)

  Marks the field to be updated.

  Parameters:
    `fieldIndex` - index of the field.

### setCheckDirty

    public void setCheckDirty(int fieldIndex)

  The field will be checked for dirty state at commit.

  Parameters:
    `fieldIndex` - index of the field.

### isCheckDirty

    public boolean isCheckDirty(int fieldIndex)

  Parameters:
    `fieldIndex` - the index of the field that should be checked for dirty state.
  Returns:
    true if the field should be checked for dirty state.

### setClean

    public void setClean(int fieldIndex)

  Marks the field as clean.

  Parameters:
    `fieldIndex` - nextIndex of the field.

### resetFlags

    public void resetFlags(int fieldIndex)

  Resets field flags.

  Parameters:
    `fieldIndex` - nextIndex of the field.

### getDirtyIterator

    public JDBCEntityBridge.FieldIterator getDirtyIterator(EntityEnterpriseContext ctx)

### hasLockedFields

    public boolean hasLockedFields()

### getLockedIterator

    public JDBCEntityBridge.FieldIterator getLockedIterator(EntityEnterpriseContext ctx)

### lockValue

    public boolean lockValue(int fieldIndex)

### getLoadIterator

    public JDBCEntityBridge.FieldIterator getLoadIterator(EntityEnterpriseContext ctx)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.